Time tracking

Upsert Org Time Tracking Config

Creates or updates the org's time-tracking configuration (week start, breaks, grace, escalation, default template).

POSThttps://api.toku.com/hris/upsert-org-time-tracking-config

Not available to API keys yet. It will need time:write.

curl --request POST \
  --url 'https://api.toku.com/hris/upsert-org-time-tracking-config' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "weekStartsOn": 0,
  "breakTrackingMode": "MANUAL",
  "clockWidgetEnabled": true,
  "manualEntryGraceDays": 0,
  "signoffEscalationDays": 0,
  "defaultScheduleTemplateID": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}'
200 response
{
  "orgTimeTrackingConfigID": "string"
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

weekStartsOninteger

Allowed: 1 to 7

breakTrackingModestring

Available options: MANUAL, PROMPTED, AUTOMATIC

clockWidgetEnabledboolean
manualEntryGraceDaysinteger

Allowed: 0 to 90

signoffEscalationDaysinteger

Allowed: 1 to 30

defaultScheduleTemplateIDstring | null<uuid>

Response

200Successful response
orgTimeTrackingConfigIDstringrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits